import 'package:flutter/cupertino.dart';
import 'package:tencent_cloud_chat/components/component_config/tencent_cloud_chat_message_config.dart';
import 'package:tencent_cloud_chat/tencent_cloud_chat.dart';
import 'package:tencent_cloud_chat_common/base/tencent_cloud_chat_state_widget.dart';
import 'package:tencent_cloud_chat_message/data/tencent_cloud_chat_message_separate_data_notifier.dart';
import 'package:tencent_cloud_chat_message/tencent_cloud_chat_message_builders.dart';

class TencentCloudChatMessageInputSelectModeContainer extends StatefulWidget {
  final List<V2TimMessage> messages;
  const TencentCloudChatMessageInputSelectModeContainer({super.key, required this.messages});

  @override
  State<TencentCloudChatMessageInputSelectModeContainer> createState() => _TencentCloudChatMessageInputSelectModeContainerState();
}

class _TencentCloudChatMessageInputSelectModeContainerState extends TencentCloudChatState<TencentCloudChatMessageInputSelectModeContainer> {
  @override
  Widget defaultBuilder(BuildContext context) {
    final dataProvider = TencentCloudChatMessageDataProviderInherited.of(context);
    final TencentCloudChatMessageConfig config = dataProvider.config;

    return TencentCloudChatMessageBuilders.getMessageInputSelectBuilder(
      messages: widget.messages,
      useDeleteForEveryone: config.enableMessageDeleteForEveryone(userID: dataProvider.userID, groupID: dataProvider.groupID),
      onDeleteForMe: (messages) {
        dataProvider.deleteMessagesForEveryone(messages: messages);
        dataProvider.inSelectMode = false;
      },
      onDeleteForEveryone: (messages) {
        dataProvider.deleteMessagesForMe(messages: messages);
        dataProvider.inSelectMode = false;
      },
    );
  }
}
