import 'package:flutter/material.dart';
import 'package:tencent_cloud_chat_common/base/tencent_cloud_chat_state_widget.dart';

class TencentCloudChatMessageLayout extends StatefulWidget {
  final String? userID;
  final String? groupID;
  final PreferredSizeWidget header;
  final Widget messageListView;
  final Widget messageInput;

  const TencentCloudChatMessageLayout({
    super.key,
    required this.header,
    required this.messageListView,
    required this.messageInput,
    this.userID,
    this.groupID,
  }) : assert((userID == null) != (groupID == null));

  @override
  State<TencentCloudChatMessageLayout> createState() => _TencentCloudChatMessageLayoutState();
}

class _TencentCloudChatMessageLayoutState extends TencentCloudChatState<TencentCloudChatMessageLayout> {
  @override
  Widget defaultBuilder(BuildContext context) {
    return Scaffold(
      appBar: widget.header,
      resizeToAvoidBottomInset: false,
      body: Column(
        children: [
          Expanded(
              child: GestureDetector(
            onTap: () {
              FocusScope.of(context).unfocus();
            },
            child: widget.messageListView,
          )),
          widget.messageInput,
        ],
      ),
    );
  }
}
